package nl.west.aaa;

import java.util.*;
import java.io.*;

/**
 * Handles all incoming messages
 * and displays it.
 */
public class DebugHandler
    implements MessageHandler
{
    private String prefix;
    
    public DebugHandler()
    {}
    
    public DebugHandler(String prefix)
    {
        this.prefix=prefix;
    }

    public boolean handleMessage(Message msg,AAAUnit unit)
    {
        System.out.println("--IN>------");
        if (prefix != null)
        {
            System.out.println(prefix);
            System.out.println("-----------");
        }
        System.out.println(msg);
        System.out.println("-----------");
        return false;
    }


}
